# $Revision: 1.20 $, $Date: 2012/01/11 21:35:56 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	PEM
Summary:	Convert::PEM Perl module - access to ASN.1-encoded PEM files
Summary(pl.UTF-8):	Moduł Perla Convert::PEM - dostęp do plików PEM kodowanych ASN.1
Name:		perl-Convert-PEM
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a55c927457035806228e62b403551f13
URL:		http://search.cpan.org/dist/Convert-PEM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Class-ErrorHandler
BuildRequires:	perl-Convert-ASN1 >= 0.10
BuildRequires:	perl-Crypt-DES_EDE3
BuildRequires:	perl-Digest-MD5
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Class-ErrorHandler
Requires:	perl-Convert-ASN1 >= 0.10
Requires:	perl-Crypt-DES_EDE3
Requires:	perl-Digest-MD5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric
cipher algorithm, such as 3DES.

%description -l pl.UTF-8
Moduł Convert::PEM służy do odczytu i zapisu plików PEM zawierających
obiekty zakodowane zgodnie z ASN.1. Pliki mogą być opcjonalne
zaszyfrowane algorytmem symetrycznym, takim jak na przykład 3DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Convert/PEM.pm
%{perl_vendorlib}/Convert/PEM
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-PEM.spec,v $
Revision 1.20  2012/01/11 21:35:56  zbyniu
- up to 0.08

Revision 1.19  2009/11/03 14:27:03  baggins
- rel 2
- more R

Revision 1.18  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.16  2006/07/26 22:57:15  glen
- generic url

Revision 1.15  2005/06/21 18:50:28  czucz
- updated to 0.07
- added BR:perl-Class-ErrorHandler
- bad previous log

Revision 1.14  2005/06/21 17:51:21  czucz
- initial release

Revision 1.13  2004/11/03 22:30:11  paladine
- formatting

Revision 1.12  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/18 22:17:10  ankry
- license fixes and cosmetics

Revision 1.8  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:29  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/29 16:21:03  qboosh
- new
